TH "mxap" 1

NAME
mxap - Moonlight XAP file Generator.

SYNOPSIS
mxap [options] [directory]

DESCRIPTION
Use the mxap tool to generate Silverlight 2.0 XAP files. These files pack a complete application for Silverlight to consume (XAML files, images, resources, libraries and their dependencies)

mxap will create a .xap file based on the contents of the specified directory (or the current directory, if no directory is specified).

mxap will create an application manifest (AppManifest.xaml), create the XAML code behind files (using xamlg), create a <appname>.g.resource file including all of the directories .xaml files (using respack), compile the directories C# files, including the generated files, zip all of the libraries and application manifest into a .xap file and create an html file for viewing the new application.

OPTIONS

--generate-html
    If this option is specified, a sample HTML container file is generated using the xaml2html command.

--include-mdb
    If this option is used, the XAP file will also package the debugging information (the files that end with the .mdb extension). This is useful to get line number information and more detailed stack traces.

MAILING LIST
The Moonlight mailing lists is at http://www.mono-project.com/Mailing_Lists

WEB SITE
http://www.go-mono.com/moonlight

SEE ALSO
mono(1), mopen(1), respack(1), svg2xaml(1)